/* ============================================================
 * File  : prop_menu.cpp
 * Author: Stephane Gibault
 * Date  : Sun Feb 4 2007
 * Description :
 *
 * 
 *  (C) 2007 by Stephane Gibault
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include <QtGui>
#include "prop_menu.h"

prop_menu::prop_menu ( QWidget * parent )
    : QFrame(parent)
{
	this->setAttribute(Qt::WA_DeleteOnClose);
        wl_opacity_value = 0;
}

void prop_menu::setopa(int val)
{
   wl_opacity_value = val;
   this->repaint();
}

// ********************************
// *** DESSIN DU FOND DU WIDGET ***
// ********************************

void prop_menu::paintEvent(QPaintEvent *)
{
	QPainter p;
	p.begin(this);
	p.setRenderHint(QPainter::Antialiasing,true);
        p.setPen(Qt::NoPen);
        p.setBrush(QColor(0,0,0,wl_opacity_value));
        p.drawRect(0, 0, this->width(), this->height());
	p.end();
}

